package Servlet;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.MiembrosClubDB;
import Datos.UsuarioDB;
import Modelo.CodClub;
import Modelo.MiembrosClub;
import Modelo.Usuario;

public class EliminarEntrenadorServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding==null) {
            request.setCharacterEncoding("UTF-8");
        }

        String url = "";
        HttpSession sesion = request.getSession();
        String id_usuario = request.getParameter("entrenador");
        CodClub club = (CodClub) sesion.getAttribute("club");
        String id_club = club.getId_club();
        MiembrosClub miembro = MiembrosClubDB.getMiembrosClub(id_club, id_usuario);
        if(miembro.getTipo_usuario().equals("EC")){
            if(MiembrosClubDB.deleteMiembro(miembro)){
                url = "/mensaje.jsp?mensaje=Entrenador eliminado correctamente";
            }else{
                url = "/mensaje.jsp?mensaje=Error al eliminar el entrenador";
            }
            
            int numero_clubes = MiembrosClubDB.getClubes(miembro.getId_usuario());
            if(numero_clubes == 0){
                Usuario usuario = UsuarioDB.getUsuarioId(miembro.getId_usuario());
                usuario.setTipo_usuario("E");
                if(UsuarioDB.updateUsuario(usuario)){
                    url = "/mensaje.jsp?mensaje=Entrenador eliminado correctamente";
                }else{
                    url = "/mensaje.jsp?mensaje=Error al eliminar el entrenador";
                }
            }
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
